package com.ucalc.lib;

public class uCalcImport {
   static {
      System.loadLibrary("uCalcAndroid");
   }

   public static native double Evaluate(int ExprHandle);
   public static native double EvaluateNTE(int ExprHandle);
   public static native int EvaluateInt32(int ExprHandle);
   public static native String EvaluateStr(int ExprHandle);
   public static native int EvaluateVoid(int ExprHandle);
   public static native void Execute(int ExprHandle);
   public static native void ReleaseExpr(int ExprHandle);
   public static native int Handle_Overload_ParsedExpr(int ExprHandle);
   public static native int ElementCount(int ItemHandle);
   public static native int GetDataType(int ItemHandle);
   public static native int FunctionAddress(int ItemHandle);
   public static native int IsProperty(int ItemHandle, int ItemProperty);
   public static native String Name_Overload_Item(int ItemHandle);
   public static native int NextOverload(int ItemHandle);
   public static native int Precedence_Overload_Item(int ItemHandle);
   public static native void ReleaseItem(int ItemHandle);
   public static native void Rename(int ItemHandle, String NewName);
   public static native String ReplacementText(int ItemHandle);
   public static native void SetVariableValue(int ItemHandle, double Value);
   public static native void SetVariableValueAny(int ItemHandle, String Value);
   public static native void SetVariableValueByte(int ItemHandle, byte Value);
   public static native void SetVariableValueInt16(int ItemHandle, short  Value);
   public static native void SetVariableValueInt32(int ItemHandle, int Value);
   public static native void SetVariableValueInt64(int ItemHandle, long  Value);
   public static native void SetVariableValueSng(int ItemHandle, float Value);
   public static native void SetVariableValueDbl(int ItemHandle, double Value);
   public static native void SetVariableValueStr(int ItemHandle, String Value);
   public static native void SetVariableValuePtr(int ItemHandle, int Value);
   public static native void SetVariableValueByPtr(int ItemHandle, int Value);
   public static native String Text(int ItemHandle);
   public static native int GetuCalc_Overload_Item(int ItemHandle);
   public static native double Value(int ItemHandle);
   public static native byte ValueByte(int ItemHandle);
   public static native short ValueInt16(int ItemHandle);
   public static native int ValueInt32(int ItemHandle);
   public static native long ValueInt64(int ItemHandle);
   public static native float ValueSng(int ItemHandle);
   public static native double ValueDbl(int ItemHandle);
   public static native String ValueStr(int ItemHandle);
   public static native int ValuePtr(int ItemHandle);
   public static native int ValueAddr(int ItemHandle);
   public static native int Handle_Overload_Item(int ItemHandle);
   public static native double Arg(int ExprPartHandle, int Index);
   public static native int ArgCount(int ExprPartHandle);
   public static native int ArgObj(int ExprPartHandle, int Index);
   public static native int ArgAddr(int ExprPartHandle, int Index);
   public static native int ArgExpr(int ExprPartHandle, int Index);
   public static native int ArgInt32(int ExprPartHandle, int Index);
   public static native long ArgInt64(int ExprPartHandle, int Index);
   public static native int ArgPtr(int ExprPartHandle, int Index);
   public static native String ArgStr(int ExprPartHandle, int Index);
   public static native void Return(int ExprPartHandle, double Value);
   public static native void ReturnInt32(int ExprPartHandle, int Value);
   public static native void ReturnInt64(int ExprPartHandle, long  Value);
   public static native void ReturnPtr(int ExprPartHandle, int Value);
   public static native void ReturnStr(int ExprPartHandle, String Value);
   public static native int ErrorRaise(int ExprPartHandle, int ErrNumber);
   public static native int ErrorRaiseMessage(int ExprPartHandle, String ErrMessage);
   public static native int GetuCalc_Overload_Callback(int ExprPartHandle);
   public static native int Handle_Overload_Callback(int ExprPartHandle);
   public static native int OpItem(int ExprPartHandle);
   public static native int AllocArray(int DataTypeHandle, int ArraySize);
   public static native int AllocByPtr(int DataTypeHandle, int ValuePtr);
   public static native int AllocScalar(int DataTypeHandle, String Value);
   public static native int ByteSize(int DataTypeHandle);
   public static native int Index(int DataTypeHandle);
   public static native int GetItem(int DataTypeHandle);
   public static native String Name_Overload_DataType(int DataTypeHandle);
   public static native void ReleaseArray(int DataTypeHandle, int ValuePtr);
   public static native void ReleaseScalar(int DataTypeHandle, int ValuePtr);
   public static native void ResetArray(int DataTypeHandle, int ValuePtr);
   public static native void ResetScalar(int DataTypeHandle, int ValuePtr);
   public static native void SetArray(int DataTypeHandle, int Destination, int Source, int Index);
   public static native void SetScalar(int DataTypeHandle, int Destination, int Source);
   public static native void SwapScalarValues(int DataTypeHandle, int ValuePtrA, int ValuePtrB);
   public static native String ToString_Overload_DataType_ByPtr(int DataTypeHandle, int ValuePtr);
   public static native String ToString_Overload_DataType_ByStr(int DataTypeHandle, String Value);
   public static native int Handle_Overload_DataType(int DataTypeHandle);
   public static native int CaseSensitive(int RuleHandle, int TrueFalse);
   public static native int CodeBlockSensitive(int RuleHandle, int TrueFalse);
   public static native int Comment_Overload_Rule(int RuleHandle, String CommentStr);
   public static native int From(int RuleHandle, String FromStr);
   public static native int Max(int RuleHandle, int Value);
   public static native int Min(int RuleHandle, int Value);
   public static native int QuoteSensitive(int RuleHandle, int TrueFalse);
   public static native int StartAfter(int RuleHandle, int Value);
   public static native int StopAfter(int RuleHandle, int Value);
   public static native int To(int RuleHandle, String ToStr);
   public static native int SkipOver(int RuleHandle, int TrueFalse);
   public static native int ParseAgain(int RuleHandle, int TrueFalse);
   public static native int ParseAgainMax(int RuleHandle, int TrueFalse, int RaiseError);
   public static native int Comment_Overload_Tokens(int TokensHandle, String CommentStr);
   public static native int Comment_Overload_uCalcTransform(int TransformHandle, String CommentStr);
   public static native int FromTo(int TransformHandle, String FromStr, String ToStr);
   public static native int Import(int TransformHandle, String FileName);
   public static native int MathParser(int TransformHandle, int FMP);
   public static native void Reset(int TransformHandle);
   public static native void ResultStr(int TransformHandle);
   public static native void Transform(int TransformHandle);
   public static native void Input(int TransformHandle, String InputStr);
   public static native void ReleaseTransform(int TransformHandle);
   public static native int Rule(int TransformHandle, int Index);
   public static native int AddErrorHandler(int uCalcHandle, int ErrorHandlerAddress, int Position);
   public static native int CreateuCalc(int uCalcHandle);
   public static native int DataTypeOfIndex(int uCalcHandle, int Index);
   public static native int Define(int uCalcHandle, String Expression, int Address, int ExistingItem);
   public static native int DefineConstant(int uCalcHandle, String Definition, int VariableAddress);
   public static native int DefineDataType(int uCalcHandle, int TypeSize, int AllocArrayValue, int AllocScalar, int AllocScalarByPtr, int DeleteArray, int DeleteScalar, int ResetScalar, int ResetArray, int SetValueArray, int SetValueScalar, int SwapValues, int ToString);
   public static native int DefineFunction(int uCalcHandle, String Definition, int FunctionAddress);
   public static native int DefineOperator(int uCalcHandle, String Definition, int iPrecedence, int Grouping, int FunctionAddress);
   public static native int DefineSyntax(int uCalcHandle, String Definition);
   public static native int DefineTransform(int uCalcHandle, String FromExpr, String ToExpr, int ItemHandle);
   public static native int DefineVariable(int uCalcHandle, String Definition, int VariableAddress);
   public static native String ErrorExpression(int uCalcHandle);
   public static native int ErrorLocation(int uCalcHandle);
   public static native String ErrorMessage(int uCalcHandle, int Index);
   public static native int ErrorNumber(int uCalcHandle);
   public static native void ErrorResponse(int uCalcHandle, int Response);
   public static native String ErrorSymbol(int uCalcHandle);
   public static native void ErrorSetExpression(int uCalcHandle, String Expression);
   public static native double Eval(int uCalcHandle, String Expression);
   public static native String EvalStr(int uCalcHandle, String Expression);
   public static native String Expand(int uCalcHandle, String Expression);
   public static native String ExpandSteps(int uCalcHandle, String Expression, String Separator);
   public static native int FPEnvClearException(int uCalcHandle, int Exceptions);
   public static native int FPEnvGetExceptionMask(int uCalcHandle);
   public static native int FPEnvRaiseException(int uCalcHandle, int Exception);
   public static native int FPEnvGetRounding(int uCalcHandle);
   public static native void FPEnvSetExceptionMask(int uCalcHandle, int Exceptions);
   public static native void FPEnvSetExceptionUnMask(int uCalcHandle, int Exceptions);
   public static native int FPEnvSetRounding(int uCalcHandle, int Direction);
   public static native void FPEnvToggleExceptionMask(int uCalcHandle, int Exception);
   public static native int HandleOf(int uCalcHandle, String ItemName, long  Properties, int SkipExpansion);
   public static native int GetItemOf(int uCalcHandle, String ItemName, long  Properties, int SkipExpansion);
   public static native int GetItemOfProperty(int uCalcHandle, int Property_, int nth, String DataTypeName);
   public static native int License(int uCalcHandle, int LicenseType, int L1, int L2, int L3, int L4, int L5);
   public static native int NamespaceChild(int uCalcHandle, int nth);
   public static native int NamespaceChildCount(int uCalcHandle);
   public static native int NamespaceParent(int uCalcHandle, int Level);
   public static native int NamespaceSymbol(int uCalcHandle, int nth);
   public static native int NamespaceSymbolCount(int uCalcHandle);
   public static native int NewTransform(int uCalcHandle);
   public static native int Parse(int uCalcHandle, String Expression, String DataType);
   public static native int Precedence_Overload_uCalc(int uCalcHandle, String Operator1, String Operator2);
   public static native long Properties(int uCalcHandle, int p1, int p2, int p3, int p4);
   public static native void ReleaseuCalc(int uCalcHandle);
   public static native void ResetOutput(int uCalcHandle);
   public static native int Default(int uCalcHandle);
   public static native int SetOutput_Overload_uCalc_Callback(int uCalcHandle, int FunctionAddress, String Properties);
   public static native int SetOutput_Overload_uCalc_NoCallback(int uCalcHandle, String Definition);
   public static native int CreateTransform(int uCalcHandle);
   public static native String ValueAt(int uCalcHandle, int ValuePtr, String DataType);
   public static native int Handle_Overload_uCalc(int uCalcHandle);
}